Endpoint
- Positive rate: Longs pay shorts — bullish sentiment (market is net long)
- Negative rate: Shorts pay longs — bearish sentiment (market is net short)
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Historical perpetual futures funding rates
GET https://api.marketdataset.ai/crypto/funding-rates
| Name | Type | Required | Description |
|---|---|---|---|
symbol | string | Yes | Futures symbol, e.g. BTCUSDT, ETHUSDT |
exchange | string | No | Exchange (default: binance) |
start_date | string | No | ISO 8601 date |
end_date | string | No | ISO 8601 date |
limit | integer | No | Records to return (default: 100, max: 1000) |
cursor | string | No | Pagination cursor |
curl "https://api.marketdataset.ai/crypto/funding-rates?symbol=BTCUSDT&limit=10" \
-H "X-API-KEY: sk_your_key"
import requests
response = requests.get(
"https://api.marketdataset.ai/crypto/funding-rates",
params={"symbol": "BTCUSDT", "limit": 10},
headers={"X-API-KEY": "sk_your_key"},
)
print(response.json())
{
"funding_rates": [
{
"symbol": "BTCUSDT",
"exchange": "binance",
"funding_rate": 0.0001234,
"funding_time": "2024-11-01T16:00:00+00:00",
"mark_price": 68234.56
}
],
"next_page_url": null,
"meta": {
"request_id": "req_abc123",
"credits_used": 0.01,
"credits_remaining": 49.99
}
}
| Rate | Annualized | Signal |
|---|---|---|
+0.01% | +109.5% | Extreme greed — reversal risk |
+0.005% | +54.75% | Bullish |
0.00% | 0% | Neutral |
-0.005% | -54.75% | Bearish |
-0.01% | -109.5% | Extreme fear — bounce potential |